Subject: Re: bug#57856: 28.2; bookmark context strings in encrypted files

From: Michael Albinus <[email-masked]>
Date: Tue, 20 Sep 2022 18:19:15 +0200

Gustavo Barros <[email-masked]> writes:

> Hi Michael,

Hi Gustavo,

> If I may, I do have a comment about the defcustom.  I think
> `bookmark-inhibit-bookmark-functions` is not really a precise name,
> since it is not about inhibiting the bookmark itself, but only the
> context strings.  How about `bookmark-inhibit-context-functions`?  On
> the same vein, the docstring could be clearer about it.  Say:
>
> "List of functions to call before making a bookmark record.
> The functions take `buffer-file-name' as argument.  If any of
> these functions returns non-nil, the bookmark does not record
> context strings from the current buffer."
>
> WDYT?

Thanks, will apply both. I'm notoriously bad in giving names and writing
documentation, so everything will help me!

> Best regards,
> Gustavo.

Best regards, Michael.